Subject: Re: bug#40123: glibc-locales: links missing in root user profile

From: Marius Bakke <[email-masked]>
Date: Wed, 18 Mar 2020 20:29:59 +0100

Mikael Djurfeldt <[email-masked]> writes:

> On Wed, Mar 18, 2020 at 7:40 PM Marius Bakke <[email-masked]> wrote:
>
>> Mikael Djurfeldt <[email-masked]> writes:
>>
>> > To figure out where the package gets installed, try running this
>> >> command:
>> >>
>> >> find /var/guix/profiles -name sv_SE.utf8 -type d
>> >>
>> >
>> > It's obvious that that line will produce an empty result. That is because
>> > the sv_SE.utf8 directory only exists in the store. But I don't see the
>> > point of looking it up in the store. The problem is that the link into
>> the
>> > store from the root user profile is never created. (It *is* created in
>> > other user profiles.)
>>
>> I suspected that Guix installed it to a different user profile somehow,
>> since you did not get any errors apart from the missing directory (if I
>> read the bug report correctly).
>>
>> Does 'guix install hello' work?
>>
>
> Same problem there.
>
> But thank you for your hypothesis above! I tried a different line with ls
> -lLR and grep and then discovered that the links *are* indeed installed in
> a different profile.
>
> This led me to find my problem: For some reason, my ~root/.guix-profile was
> pointing to the current-guix profile rather than the guix-profile.
>
> It could have been me who did that. :(

Heh, at least you got a decent learning experience.  ;-)

> Anyway, problem solved! This was not a guix bug.

Awesome, glad you found the problem!  I'm closing the bug report.